function propertyRemove(e) {
	return function() {
		delete this[e];
	};
}
function propertyConstant(e, t) {
	return function() {
		this[e] = t;
	};
}
function propertyFunction(e, t) {
	return function() {
		var n = t.apply(this, arguments);
		n == null ? delete this[e] : this[e] = n;
	};
}
function property_default(r, i) {
	return arguments.length > 1 ? this.each((i == null ? propertyRemove : typeof i == "function" ? propertyFunction : propertyConstant)(r, i)) : this.node()[r];
}
export { property_default as default };
